=== qml1-shadersplugin/src/Makefile ===
#############################################################################
# Makefile for building: libqmlshadersplugin.so
# Generated by qmake (2.01a) (Qt 4.8.1) on: Sun Sep 23 13:08:06 2012
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DECLARATIVE_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtDeclarative -I/usr/include/qt4 -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/i386-linux-gnu -L/usr/X11R6/lib -lQtDeclarative -lQtOpenGL -lQtGui -lQtCore -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = echo
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qmlshadersplugin_plugin.cpp \
		shadereffect.cpp \
		shadereffectitem.cpp \
		shadereffectsource.cpp \
		scenegraph/qsggeometry.cpp \
		shadereffectbuffer.cpp moc_qmlshadersplugin_plugin.cpp \
		moc_shadereffect.cpp \
		moc_shadereffectitem.cpp \
		moc_shadereffectsource.cpp
OBJECTS       = qmlshadersplugin_plugin.o \
		shadereffect.o \
		shadereffectitem.o \
		shadereffectsource.o \
		qsggeometry.o \
		shadereffectbuffer.o \
		moc_qmlshadersplugin_plugin.o \
		moc_shadereffect.o \
		moc_shadereffectitem.o \
		moc_shadereffectsource.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qmlshadersplugin
DESTDIR       = 
TARGET        = libqmlshadersplugin.so
TARGETD       = libqmlshadersplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/i386-linux-gnu/libQtDeclarative.prl \
		/usr/lib/i386-linux-gnu/libQtOpenGL.prl \
		/usr/lib/i386-linux-gnu/libQtGui.prl \
		/usr/lib/i386-linux-gnu/libQtCore.prl
	$(QMAKE) CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile src.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/i386-linux-gnu/libQtDeclarative.prl:
/usr/lib/i386-linux-gnu/libQtOpenGL.prl:
/usr/lib/i386-linux-gnu/libQtGui.prl:
/usr/lib/i386-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qmlshadersplugin1.0.0 || $(MKDIR) .tmp/qmlshadersplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qmlshadersplugin1.0.0/ && $(COPY_FILE) --parents qmlshadersplugin_plugin.h glfunctions.h shadereffect.h shadereffectitem.h shadereffectsource.h scenegraph/qsggeometry.h shadereffectbuffer.h .tmp/qmlshadersplugin1.0.0/ && $(COPY_FILE) --parents qmlshadersplugin_plugin.cpp shadereffect.cpp shadereffectitem.cpp shadereffectsource.cpp scenegraph/qsggeometry.cpp shadereffectbuffer.cpp .tmp/qmlshadersplugin1.0.0/ && (cd `dirname .tmp/qmlshadersplugin1.0.0` && $(TAR) qmlshadersplugin1.0.0.tar qmlshadersplugin1.0.0 && $(COMPRESS) qmlshadersplugin1.0.0.tar) && $(MOVE) `dirname .tmp/qmlshadersplugin1.0.0`/qmlshadersplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qmlshadersplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qmlshadersplugin_plugin.cpp moc_shadereffect.cpp moc_shadereffectitem.cpp moc_shadereffectsource.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qmlshadersplugin_plugin.cpp moc_shadereffect.cpp moc_shadereffectitem.cpp moc_shadereffectsource.cpp
moc_qmlshadersplugin_plugin.cpp: qmlshadersplugin_plugin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qmlshadersplugin_plugin.h -o moc_qmlshadersplugin_plugin.cpp

moc_shadereffect.cpp: shadereffect.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) shadereffect.h -o moc_shadereffect.cpp

moc_shadereffectitem.cpp: shadereffectsource.h \
		scenegraph/qsggeometry.h \
		shadereffectitem.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) shadereffectitem.h -o moc_shadereffectitem.cpp

moc_shadereffectsource.cpp: shadereffectsource.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) shadereffectsource.h -o moc_shadereffectsource.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qmlshadersplugin_plugin.o: qmlshadersplugin_plugin.cpp qmlshadersplugin_plugin.h \
		shadereffectitem.h \
		shadereffectsource.h \
		scenegraph/qsggeometry.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmlshadersplugin_plugin.o qmlshadersplugin_plugin.cpp

shadereffect.o: shadereffect.cpp shadereffect.h \
		shadereffectbuffer.h \
		shadereffectsource.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffect.o shadereffect.cpp

shadereffectitem.o: shadereffectitem.cpp shadereffectitem.h \
		shadereffectsource.h \
		scenegraph/qsggeometry.h \
		shadereffect.h \
		glfunctions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffectitem.o shadereffectitem.cpp

shadereffectsource.o: shadereffectsource.cpp shadereffectsource.h \
		shadereffectbuffer.h \
		shadereffect.h \
		glfunctions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffectsource.o shadereffectsource.cpp

qsggeometry.o: scenegraph/qsggeometry.cpp scenegraph/qsggeometry.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qsggeometry.o scenegraph/qsggeometry.cpp

shadereffectbuffer.o: shadereffectbuffer.cpp shadereffectbuffer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffectbuffer.o shadereffectbuffer.cpp

moc_qmlshadersplugin_plugin.o: moc_qmlshadersplugin_plugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qmlshadersplugin_plugin.o moc_qmlshadersplugin_plugin.cpp

moc_shadereffect.o: moc_shadereffect.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_shadereffect.o moc_shadereffect.cpp

moc_shadereffectitem.o: moc_shadereffectitem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_shadereffectitem.o moc_shadereffectitem.cpp

moc_shadereffectsource.o: moc_shadereffectsource.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_shadereffectsource.o moc_shadereffectsource.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/ 


install_qmlfiles: first FORCE
