=== qml1-shadersplugin/debian/changelog ===
qmlshadersplugin (1.0~git20110414-2) unstable; urgency=low

  * Debian packaging fix.

 -- Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>  Thu, 03 May 2011 10:58:07 +0300

qmlshadersplugin (1.0~git20110414~1) unstable; urgency=low

  * Debian packaging for the whole project

 -- Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>  Thu, 14 Apr 2011 12:40:07 +0300

qmlshadersplugin (1.0~git20110121-1) unstable; urgency=low

  * Initial release

 -- Kim Grönholm <kim.1.gronholm@nokia.com>  Fri, 21 Jan 2011 15:21:07 +0300
