=== qml1-shadersplugin/debian/control ===
Source: qmlshadersplugin
Section: libs
Priority: optional
Maintainer: Kim Grönholm <kim.1.gronholm@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev(>= 4.7.0~), libqt4-declarative(>= 4.7.0~), libqt4-opengl-dev
Standards-Version: 3.7.2

Package: qmlshadersplugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QML Shader Effects plugin
 QML Shader Effects plugin

Package: qmlshadersplugin-dbg
Section: debug
Architecture: any
Depends: qmlshadersplugin (=${binary:Version})
Description: QML Shader Effects plugin (debug symbols)
 QML Shader Effects plugin
 .
 This package contains debugging symbols for qmlshadersplugin.

Package: qmlshadersplugin-demos
Section: apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qmlshadersplugin
Description: Example projects demonstrating shader effects in QML
 Example projects demonstrating shader effects in QML

Package: qmlshadersplugin-demos-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, effectsuite
Description: Example projects demonstrating shader effects in QML (debug symbols)
 Example projects demonstrating shader effects in QML
 .
 This package contains the debugging symbols for QML shader effects demo applications,
